Page MenuHomePhabricator

OOjs UI overrides close icon
Closed, ResolvedPublic0.5 Story Points

Description

  • Click edit button
  • Close editor
  • Click search

Actual:

Expected:

Let's rename this glyph.

Details

Related Gerrit Patches:
mediawiki/extensions/MobileFrontend : masterRename overlay close button to avoid OOjs UI overriding

Event Timeline

Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJul 19 2016, 11:52 PM
dr0ptp4kt triaged this task as High priority.Jul 20 2016, 5:15 PM
dr0ptp4kt moved this task from Incoming to 2016-17 Q1 on the Readers-Web-Backlog board.
dr0ptp4kt set the point value for this task to 0.5.
dr0ptp4kt added a project: Regression.

Change 300082 had a related patch set uploaded (by Jdlrobson):
Rename overlay close button to avoid OOjs UI hijacking

https://gerrit.wikimedia.org/r/300082

phuedx assigned this task to Jdlrobson.Jul 21 2016, 7:38 AM

Change 300082 merged by jenkins-bot:
Rename overlay close button to avoid OOjs UI overriding

https://gerrit.wikimedia.org/r/300082

To test, please visit http://en.m.wikipedia.beta.wmflabs.org/wiki/Lang and click on the search bar. You'll see the correct icon. Then close the search overlay and click on the edit icon. Close the editor overlay once it opens. Then click again on the search bar. The icon is still the same. Magic!

dr0ptp4kt closed this task as Resolved.Jul 26 2016, 2:21 PM

Signing off.